/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.blocks;

import java.util.Random;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;
import net.minecraftforge.fluids.BlockFluidFinite;
import net.minecraftforge.fluids.Fluid;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

import net.dries007.tfc.objects.fluids.FluidsTFC;

/**
 * todo: The behaviour of this needs to be adjusted/debugged so it actually fills up blocks and doesn't live 1 level high residue.
 */
public class BlockFluidFiniteTFC extends BlockFluidFinite
{
    public BlockFluidFiniteTFC(Fluid fluid, Material material)
    {
        super(fluid, material);
    }

    @SideOnly(Side.CLIENT)
    public void func_180655_c(IBlockState stateIn, World worldIn, BlockPos pos, Random rand)
    {
        if (rand.nextInt(4) != 0) return;
        if (definedFluid == FluidsTFC.HOT_WATER)
        {
            double d0 = (double) ((float) pos.func_177958_n() + rand.nextFloat());
            double d1 = (double) pos.func_177956_o() + 0.50D;
            double d2 = (double) ((float) pos.func_177952_p() + rand.nextFloat());
            worldIn.func_175688_a(EnumParticleTypes.WATER_BUBBLE, d0, d1, d2, 0.0D, 0.0D, 0.0D, Block.func_176210_f(stateIn));
        }
    }
}
