/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.blocks.wood;

import java.util.EnumMap;

import net.minecraft.block.BlockFenceGate;
import net.minecraft.block.BlockPlanks;
import net.minecraft.init.Blocks;

import net.dries007.tfc.objects.Wood;
import net.dries007.tfc.util.OreDictionaryHelper;

public class BlockFenceGateTFC extends BlockFenceGate
{
    private static final EnumMap<Wood, BlockFenceGateTFC> MAP = new EnumMap<>(Wood.class);

    public static BlockFenceGateTFC get(Wood wood)
    {
        return MAP.get(wood);
    }

    public final Wood wood;

    public BlockFenceGateTFC(Wood wood)
    {
        super(BlockPlanks.EnumType.OAK);
        if (MAP.put(wood, this) != null) throw new IllegalStateException("There can only be one.");
        this.wood = wood;
        setHarvestLevel("axe", 0);
        OreDictionaryHelper.register(this, "fence", "gate");
        OreDictionaryHelper.register(this, "fence", "gate", wood);
        Blocks.field_150480_ab.func_180686_a(this, 5, 20);
    }
}
