/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.te;

import net.minecraft.block.state.IBlockState;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.ITickable;
import net.minecraft.util.ResourceLocation;

import net.dries007.tfc.objects.blocks.BlockTorchTFC;

import static net.dries007.tfc.Constants.MOD_ID;

public class TETorchTFC extends TileEntity implements ITickable
{
    public static final ResourceLocation ID = new ResourceLocation(MOD_ID, "torch");
    public static final long BURN_SECONDS = 600;
    private long secondsleft = BURN_SECONDS;

    @Override
    public void func_73660_a()
    {
        if (this.field_145850_b.func_82737_E() % 20 == 0L)
        {
            this.updateTimer();
        }
    }

    @Override
    public void func_145839_a(NBTTagCompound compound)
    {
        super.func_145839_a(compound);
        secondsleft = compound.func_74763_f("secondsleft");
    }

    @Override
    public NBTTagCompound func_189515_b(NBTTagCompound compound)
    {
        super.func_189515_b(compound);
        compound.func_74772_a("secondsleft", secondsleft);
        return compound;
    }

    public void toggle()
    {
        IBlockState state = field_145850_b.func_180495_p(field_174879_c);
        boolean lit = state.func_177229_b(BlockTorchTFC.LIT);
        if (lit)
        {
            field_145850_b.func_175656_a(field_174879_c, state.func_177226_a(BlockTorchTFC.LIT, false));
            secondsleft = 0;
        } else
        {
            field_145850_b.func_175656_a(field_174879_c, state.func_177226_a(BlockTorchTFC.LIT, true));
            secondsleft = BURN_SECONDS; // todo: adjust 600 seconds = 10 minutes
        }
        func_70296_d();
    }

    private void updateTimer()
    {
        if (secondsleft > 0)
        {
            secondsleft--;
            if (secondsleft == 0)
                toggle();
        }
    }
}
